Автор Тема: Как установить emacs24?  (Прочитано 2053 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн wapfy

  • Новичок форума
  • Сообщений: 4
Как установить emacs24?
« : 26 Июня 2014, 12:46:15 »
Здравствуйте.
У меня debian wheezy (7.5 стабильный). В репозитории есть только emacs23, но мне нужен emacs24. Год назад я ставил из sid'а без каких либо проблем (просто скачал 3 deb файла и поставил). Сейчас так сделать не получается, ибо он просит дополнительные пакеты (зависимости). Причем каждая следующая зависимость хочет еще других пакетов. Я решил в файле /etc/apt/sources.list написать строчку deb http://ftp.ru.debian.org/debian/ sid main, после чего сделать apt-get update и apt-get install emacs24. Но этот apt-get говорит, что в результате операции будет установлена куча новых пакетов и, что самое главное, удален гном:
Spoiler: ShowHide
apt-get install emacs24
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Следующие пакеты устанавливались автоматически и больше не требуются:
cheese-common cups-daemon cups-server-common folks-common gir1.2-ibus-1.0 gir1.2-nmgtk-1.0 gir1.2-notify-0.7 gnome-panel-data gnome-session-common gstreamer1.0-nice gstreamer1.0-plugins-bad
hp-ppd hplip-data libasn1-8-heimdal libavcodec55 libavformat55 libcamel-1.2-49 libchromaprint0 libcrack2 libebackend-1.2-7 libebook-1.2-14 libebook-contacts-1.2-0 libecal-1.2-16
libedata-book-1.2-20 libedata-cal-1.2-23 libedataserver-1.2-18 libevdev2 libfarstream-0.2-2 libfluidsynth1 libfontembed1 libgles2-mesa libgnome-bluetooth11 libgssapi3-heimdal
libgstreamer-plugins-bad1.0-0 libgtkglext1 libgweather-3-6 libhcrypto4-heimdal libheimbase1-heimdal libheimntlm0-heimdal libhx509-5-heimdal libibus-1.0-5 libical1 libinput0 libkrb5-26-heimdal
libldb1 libmjpegutils-2.1-0 libmm-glib0 libmpg123-0 libmplex2-2.1-0 libntdb1 libopencv-calib3d2.4 libopencv-contrib2.4 libopencv-core2.4 libopencv-features2d2.4 libopencv-flann2.4
libopencv-highgui2.4 libopencv-imgproc2.4 libopencv-legacy2.4 libopencv-ml2.4 libopencv-objdetect2.4 libopencv-video2.4 libpackagekit-glib2-16 libpwquality-common libpwquality1 libqpdf13
libroken18-heimdal librtmp1 libsbc1 libsystemd-id128-0 libt1-5 libtbb2 libtevent0 libwind0-heimdal libx264-142 python-crypto python-ldb python-ntdb python-talloc python-tdb
Для их удаления используйте «apt-get autoremove».
Будут установлены следующие дополнительные пакеты:
accountsservice aptdaemon cheese-common colord colord-data cups-bsd cups-client cups-common cups-daemon cups-ppdc cups-server-common cupsddk dh-python emacs24-bin-common emacs24-common eog
evince evince-common evolution-data-server-common folks-common fontconfig-config gcc-4.9-base gir1.2-caribou-1.0 gir1.2-freedesktop gir1.2-gck-1 gir1.2-gcr-3 gir1.2-glib-2.0 gir1.2-gtk-3.0
gir1.2-ibus-1.0 gir1.2-nmgtk-1.0 gir1.2-notify-0.7 gir1.2-soup-2.4 gir1.2-telepathylogger-0.2 glib-networking glib-networking-common glib-networking-services gnome-color-manager
gnome-control-center-data gnome-icon-theme gnome-icon-theme-extras gnome-icon-theme-symbolic gnome-menus gnome-packagekit-data gnome-panel-data gnome-screensaver gnome-session-bin
gnome-session-common gnome-themes-standard gnome-themes-standard-data gsettings-desktop-schemas gstreamer1.0-nice gstreamer1.0-plugins-bad gstreamer1.0-plugins-base gstreamer1.0-plugins-good
gstreamer1.0-x hplip-data libaccountsservice0 libapt-inst1.5 libapt-pkg4.12 libarchive13 libasn1-8-heimdal libassuan0 libatk1.0-0 libatk1.0-data libavcodec55 libavformat55 libavutil53
libcairo-perl libcairo2 libcamel-1.2-49 libcaribou-common libcaribou0 libchromaprint0 libcolord-gtk1 libcolord2 libcolorhug2 libcrack2 libcups2 libcupscgi1 libcupsfilters1 libcupsimage2
libcupsmime1 libcupsppdc1 libdb5.3 libdjvulibre-text libdjvulibre21 libdrm-nouveau2 libebackend-1.2-7 libebook-1.2-14 libebook-contacts-1.2-0 libecal-1.2-16 libedata-book-1.2-20
libedata-cal-1.2-23 libedataserver-1.2-18 libegl1-mesa libegl1-mesa-drivers libelfg0 libevdev2 libevdocument3-4 libevview3-3 libfarstream-0.2-2 libffi6 libflac8 libfluidsynth1 libfontconfig1
libfontembed1 libgail-3-0 libgail-common libgail18 libgbm1 libgck-1-0 libgcr-3-1 libgcr-base-3-1 libgcr-ui-3-1 libgcrypt11 libgd3 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgee-0.8-2
libgirepository-1.0-1 libgl1-mesa-glx libglapi-mesa libgles2-mesa libglib-perl libglib2.0-0 libglib2.0-bin libgmp10 libgnome-bluetooth11 libgnome-desktop-3-7 libgnomekbd-common libgnomekbd8
libgnutls-deb0-28 libgraphite2-3 libgssapi3-heimdal libgstreamer-plugins-bad1.0-0 libgstreamer-plugins-base1.0-0 libgstreamer1.0-0 libgtk-3-0 libgtk-3-bin libgtk-3-common libgtk2-perl
libgtk2.0-0 libgtk2.0-bin libgtkglext1 libgutenprint2 libgweather-3-6 libgweather-common libharfbuzz-icu0 libharfbuzz0b libhcrypto4-heimdal
12:08   
libheimbase1-heimdal
11:47
libheimntlm0-heimdal libhogweed2
libhtml-parser-perl libhx509-5-heimdal libibus-1.0-5 libical1 libicu52 libinput0 libjavascriptcoregtk-3.0-0 libkrb5-26-heimdal liblcms2-2 libllvm3.4 liblocale-gettext-perl liblzo2-2 libm17n-0
libmagickcore5 libmagickwand5 libmjpegutils-2.1-0 libmm-glib0 libmpdec2 libmpg123-0 libmplex2-2.1-0 libnet-dbus-perl libnet-ssleay-perl libnettle4 libnm-glib4 libnm-gtk-common libnm-gtk0
libnm-util2 libopencv-calib3d2.4 libopencv-contrib2.4 libopencv-core2.4 libopencv-features2d2.4 libopencv-flann2.4 libopencv-highgui2.4 libopencv-imgproc2.4 libopencv-legacy2.4 libopencv-ml2.4
libopencv-objdetect2.4 libopencv-video2.4 libopenjpeg5 libopenvg1-mesa libopus0 liborc-0.4-0 libotf0 libp11-kit0 libpackagekit-glib2-16 libpango-1.0-0 libpango-perl libpango1.0-0
libpangocairo-1.0-0 libpangoft2-1.0-0 libpangox-1.0-0 libpangoxft-1.0-0 libperl4-corelibs-perl libperl5.18 libpixman-1-0 libpoppler-glib8 libpoppler44 libproxy1 libpurple0 libpwquality-common
libpwquality1 libpython-stdlib libpython2.7 libpython2.7-minimal libpython2.7-stdlib libpython3-stdlib libpython3.4-minimal libpython3.4-stdlib libqpdf13 libroken18-heimdal librsvg2-2
librsvg2-common librtmp1 libsbc1 libsecret-1-0 libsecret-common libsocket-perl libsoundtouch0 libsoup2.4-1 libstdc++6 libswscale2 libsystemd-daemon0 libsystemd-id128-0 libsystemd-journal0
libsystemd-login0 libtalloc2 libtasn1-6 libtbb2 libtdb1 libtelepathy-glib0 libtelepathy-logger3 libtevent0 libtext-charwidth-perl libtext-iconv-perl libtiff5 libtracker-sparql-1.0-0 libudev1
libuuid-perl libva1 libvpx1 libwacom-common libwacom2 libwayland-client0 libwayland-cursor0 libwayland-egl1-mesa libwayland-server0 libwbclient0 libwebkitgtk-3.0-0 libwebkitgtk-3.0-common
libwebp5 libwind0-heimdal libx11-6 libx264-142 libxcb-dri3-0 libxcb-present0 libxcb-sync1 libxcb1 libxi6 libxkbcommon0 libxml-parser-perl libxml2 libxshmfence1 m17n-contrib m17n-db nautilus
nautilus-data perl perl-base perl-modules perlmagick printer-driver-c2esp python python-aptdaemon python-aptdaemon.gtk3widgets python-gi python-gi-cairo python-minimal python2.7
python2.7-minimal python3 python3-apt python3-aptdaemon python3-dbus python3-defer python3-gi python3-minimal python3-pkg-resources python3.4 python3.4-minimal seahorse
Предлагаемые пакеты:
xpp cups-pdf emacs24-common-non-dfsg emacs24-el unrar frei0r-plugins lrzip libfont-freetype-perl libchromaprint-tools python-acoustid rng-tools libgd-tools gnutls-bin gstreamer-codec-install
gnome-codec-install gstreamer1.0-tools libgtk2-perl-doc gutenprint-locales libdata-dump-perl liblcms2-utils m17n-docs opus-tools ttf-baekmuk ttf-arphic-gbsn00lp ttf-arphic-bsmi00lp
ttf-arphic-gkai00mp ttf-arphic-bkai00mp tcl8.5 tk8.5 librsvg2-bin gawk libterm-readline-gnu-perl libterm-readline-perl-perl libb-lint-perl libcpanplus-dist-build-perl libcpanplus-perl
libfile-checktree-perl liblog-message-simple-perl liblog-message-perl libobject-accessor-perl imagemagick-doc python-doc python-tk python2.7-doc python3-doc python3-tk python3-venv
python3-apt-dbg python-apt-doc python-dbus-doc python3-dbus-dbg python3-setuptools python3.4-venv python3.4-doc
Рекомендуемые пакеты:
lintian cups-browsed gtk2-engines-pixbuf cracklib-runtime qpdf va-driver-all va-driver geoclue-2.0 rename libarchive-extract-perl libmodule-pluggable-perl libpod-latex-perl libterm-ui-perl
libtext-soundex-perl
Пакеты, которые будут УДАЛЕНЫ:
bluez-cups cheese cups empathy evolution evolution-data-server evolution-plugins gdm3 gnome gnome-applets gnome-contacts gnome-control-center gnome-core gnome-documents gnome-packagekit
gnome-panel gnome-power-manager gnome-session gnome-session-fallback gnome-settings-daemon gnome-shell gnome-shell-extensions hpijs hplip libcheese-gtk21 libcheese3 libcupsdriver1 libevolution
libfolks-eds25 libgnome-desktop-3-2 libgraphite2-2.0.0 libhpmud0 libperl5.14 libsane-hpaio libsnmp15 nautilus-sendto-empathy printer-driver-gutenprint
printer-driver-hpcups
printer-driver-hpijs
printer-driver-postscript-hp printer-driver-splix task-gnome-desktop task-print-server
НОВЫЕ пакеты, которые будут установлены:
colord-data cups-daemon cups-server-common cupsddk dh-python emacs24 gcc-4.9-base gir1.2-ibus-1.0 gir1.2-nmgtk-1.0 gir1.2-notify-0.7 gstreamer1.0-nice gstreamer1.0-plugins-bad
gstreamer1.0-plugins-base gstreamer1.0-plugins-good gstreamer1.0-x libarchive13 libasn1-8-heimdal libassuan0 libavcodec55 libavformat55 libavutil53 libcamel-1.2-49 libchromaprint0 libcolord-gtk1
libcolord2 libcolorhug2 libcrack2 libdb5.3 libdrm-nouveau2 libebackend-1.2-7 libebook-1.2-14 libebook-contacts-1.2-0 libecal-1.2-16 libedata-book-1.2-20 libedata-cal-1.2-23 libedataserver-1.2-18
libegl1-mesa libegl1-mesa-drivers libelfg0 libevdev2 libfarstream-0.2-2 libffi6 libfluidsynth1 libfontembed1 libgbm1 libgcr-base-3-1 libgcr-ui-3-1 libgd3 libgee-0.8-2 libgles2-mesa
libgnome-bluetooth11 libgnome-desktop-3-7 libgnomekbd8 libgnutls-deb0-28 libgraphite2-3 libgssapi3-heimdal libgstreamer-plugins-bad1.0-0 libgstreamer-plugins-base1.0-0 libgstreamer1.0-0
libgtkglext1 libgweather-3-6 libharfbuzz-icu0 libharfbuzz0b libhcrypto4-heimdal libheimbase1-heimdal libheimntlm0-heimdal libhogweed2 libhx509-5-heimdal libibus-1.0-5 libical1 libicu52 libinput0
libkrb5-26-heimdal libllvm3.4 liblzo2-2 libm17n-0 libmjpegutils-2.1-0 libmm-glib0 libmpdec2 libmpg123-0 libmplex2-2.1-0 libopencv-calib3d2.4 libopencv-contrib2.4 libopencv-core2.4
libopencv-features2d2.4 libopencv-flann2.4 libopencv-highgui2.4 libopencv-imgproc2.4 libopencv-legacy2.4 libopencv-ml2.4 libopencv-objdetect2.4 libopencv-video2.4 libopenjpeg5 libopenvg1-mesa
libotf0 libpackagekit-glib2-16 libpango-1.0-0 libpangocairo-1.0-0 libpangoft2-1.0-0 libpangox-1.0-0 libpangoxft-1.0-0 libperl4-corelibs-perl libperl5.18 libpoppler44 libproxy1
libpwquality-common libpwquality1 libpython-stdlib libpython2.7-minimal libpython2.7-stdlib libpython3-stdlib libpython3.4-minimal libpython3.4-stdlib libqpdf13 libroken18-heimdal librtmp1
libsbc1 libsecret-1-0 libsecret-common libsystemd-id128-0 libsystemd-journal0 libtasn1-6 libtbb2 libtelepathy-logger3 libtevent0 libtiff5 libtracker-sparql-1.0-0 libudev1 libwayland-client0
libwayland-cursor0 libwayland-egl1-mesa libwayland-server0 libwebp5 libwind0-heimdal libx264-142 libxcb-dri3-0 libxcb-present0 libxcb-sync1 libxkbcommon0 libxshmfence1 m17n-contrib m17n-db
python3 python3-apt python3-aptdaemon python3-dbus python3-defer python3-gi python3-minimal python3-pkg-resources python3.4 python3.4-minimal
Пакеты, которые будут обновлены:
accountsservice aptdaemon cheese-common colord cups-bsd cups-client cups-common cups-ppdc emacs24-bin-common emacs24-common eog evince evince-common evolution-data-server-common folks-common
fontconfig-config gir1.2-caribou-1.0 gir1.2-freedesktop gir1.2-gck-1 gir1.2-gcr-3 gir1.2-glib-2.0 gir1.2-gtk-3.0 gir1.2-soup-2.4 gir1.2-telepathylogger-0.2 glib-networking glib-networking-common
glib-networking-services gnome-color-manager gnome-control-center-data gnome-icon-theme gnome-icon-theme-extras gnome-icon-theme-symbolic gnome-menus gnome-packagekit-data gnome-panel-data
gnome-screensaver gnome-session-bin gnome-session-common gnome-themes-standard gnome-themes-standard-data gsettings-desktop-schemas hplip-data libaccountsservice0 libapt-inst1.5 libapt-pkg4.12
libatk1.0-0 libatk1.0-data libcairo-perl libcairo2 libcaribou-common libcaribou0 libcups2 libcupscgi1 libcupsfilters1 libcupsimage2 libcupsmime1 libcupsppdc1 libdjvulibre-text libdjvulibre21
libevdocument3-4 libevview3-3 libflac8 libfontconfig1 libgail-3-0 libgail-common libgail18 libgck-1-0 libgcr-3-1 libgcrypt11 libgdk-pixbuf2.0-0 libgdk-pixbuf2.0-common libgirepository-1.0-1
libgl1-mesa-glx libglapi-mesa libglib-perl libglib2.0-0 libglib2.0-bin libgmp10 libgnomekbd-common libgtk-3-0 libgtk-3-bin libgtk-3-common libgtk2-perl libgtk2.0-0 libgtk2.0-bin libgutenprint2
libgweather-common
libhtml-parser-perl
libjavascriptcoregtk-3.0-0 liblcms2-2 liblocale-gettext-perl libmagickcore5 libmagickwand5 libnet-dbus-perl libnet-ssleay-perl libnettle4 libnm-glib4
libnm-gtk-common libnm-gtk0 libnm-util2 libopus0 liborc-0.4-0 libp11-kit0 libpango-perl libpango1.0-0 libpixman-1-0 libpoppler-glib8 libpurple0 libpython2.7 librsvg2-2 librsvg2-common
libsocket-perl libsoundtouch0 libsoup2.4-1 libstdc++6 libswscale2 libsystemd-daemon0 libsystemd-login0 libtalloc2 libtdb1 libtelepathy-glib0 libtext-charwidth-perl libtext-iconv-perl
libuuid-perl libva1 libvpx1 libwacom-common libwacom2 libwbclient0 libwebkitgtk-3.0-0 libwebkitgtk-3.0-common libx11-6 libxcb1 libxi6 libxml-parser-perl libxml2 nautilus nautilus-data perl
perl-base perl-modules perlmagick printer-driver-c2esp python python-aptdaemon python-aptdaemon.gtk3widgets python-gi python-gi-cairo python-minimal python2.7 python2.7-minimal seahorse
обновлено 152, установлено 152 новых пакетов, для удаления отмечено 43 пакетов, и 1206 пакетов не обновлено.
Необходимо скачать 185 MБ архивов.
После данной операции, объём занятого дискового пространства возрастёт на 157 MB.
Хотите продолжить [Д/н]?


Как мне поставить emacs24 без удаления гнома? Из исходников с помощью make install ставить не хочу, т.к. хочу чтобы эта операция прошла через менеджер пакетов, чтобы в случае чего можно было удалить пакет без проблем.
« Последнее редактирование: 26 Июня 2014, 12:50:15 от wapfy »
 

Оффлайн endru

Re: Как установить emacs24?
« Ответ #1 : 26 Июня 2014, 12:50:53 »
Самый безболезненный способ - полностью перейти на sid и не мучатся с зависимостями на wheezy!

Оффлайн wapfy

  • Новичок форума
  • Сообщений: 4
Re: Как установить emacs24?
« Ответ #2 : 26 Июня 2014, 12:52:31 »
endru,
Ну если я перейду на sid просто убрав wheezy репозиторий и поставив вместо него sid (ведь это Вы имели в виду?), то проблема с удалением гнома при установке emacs24 не пропадет.
 

Оффлайн endru

Re: Как установить emacs24?
« Ответ #3 : 26 Июня 2014, 13:01:42 »
не всё так просто. либо с нуля поставить систему, либо обновить (переход на sid может быть не предсказуемым):
apt-get update && apt-get dist-upgradeа уже после ставить пакеты.

в итоге, проще собрать пакет из исходников и поставить! или пользоваться emacs23 в стабильной версией debian.

в чем отличие этих версий? стоит ли заморачиваться?

Оффлайн wapfy

  • Новичок форума
  • Сообщений: 4
Re: Как установить emacs24?
« Ответ #4 : 26 Июня 2014, 13:07:32 »
endru,
Ну в том году ставил debian wheezy тестовый, таких проблем не было. emacs встал и работает (до сих пор это есть на другой машине и на двух виртуалках, тот же тестовый образ и emacs24 из sid'а). Почему сейчас не встает, не понимаю (пробовал ставить и на тот же образ).
в чем отличие этих версий?
В чем различия не знаю, но для меня принципиальная разница в том, что emacs23 не умеет отображать man страницы (по крайней мере так было год назад, не думаю, что что-то поменялось). Возможно, надо что-то доставить, но в emacs24 это шло "из коробки". Поскольку мне нужно создавать man страницы, то вот и нужен emacs24 (тут просто открыл файл со страницей, сделал изменения, Ctrl-C-C и страница рядом отобразилась и можно посмотреть, накосячил с форматированием или нет)


Вообще есть странность. Ему для установки нужен пакет libpango-1.0-0 (>= 1.18.0). У меня стоит libpango1.0-0 (1.30.0). (разница имен пакетов в дефисе). Пакета с дефисом в wheezy репозитории нет
« Последнее редактирование: 26 Июня 2014, 13:17:09 от wapfy »
 

Оффлайн endru

Re: Как установить emacs24?
« Ответ #5 : 26 Июня 2014, 13:20:36 »
скорее всего emacs24 так в тестинге и остался.
https://packages.debian.org/search?keywords=emacs24

Оффлайн wapfy

  • Новичок форума
  • Сообщений: 4
Re: Как установить emacs24?
« Ответ #6 : 26 Июня 2014, 13:21:45 »
endru,
Ну так он даже на testing сборку wheezy не ставится (качал iso образ для установки по сети, поэтому видимо сейчас он еще не так выкачивает, как делал это год назад). Даже не ставится то, что раньше ставилось (deb файлы каким-то чудным образом сохранились с тех времен). Тоже просит этот libpango-1.0-0 (>= 1.18.0)
« Последнее редактирование: 26 Июня 2014, 13:24:42 от wapfy »
 

Оффлайн endru

Re: Как установить emacs24?
« Ответ #7 : 26 Июня 2014, 13:42:08 »
если оооочень хочется, собирайте из исходников, или переходите на sid или testing.

Теги:
     

    Как установить Skype на Debian Wheezy 64бит

    Автор Katsumoto

    Ответов: 16
    Просмотров: 6122
    Последний ответ 01 Мая 2014, 06:21:43
    от endru
    Помогите пожалуйста установить Flacon

    Автор Борман

    Ответов: 2
    Просмотров: 1676
    Последний ответ 30 Апреля 2018, 20:37:35
    от Борман
    Не могу установить Debian 6.0.2 c лив флешки

    Автор prestidigitateur

    Ответов: 2
    Просмотров: 3689
    Последний ответ 17 Октября 2011, 15:37:39
    от prestidigitateur
    PaleMoon 32 bit на AntiX Debian...Не могу найти и установить...

    Автор sagd

    Ответов: 5
    Просмотров: 2013
    Последний ответ 31 Января 2019, 20:28:23
    от svtv1
    Как установить Skype на Debian Jessie 64бит

    Автор prometheus

    Ответов: 43
    Просмотров: 14780
    Последний ответ 14 Декабря 2017, 08:59:58
    от qupl